// GENERATED - DO NOT EDIT
#ifndef STRINGSLOC_H
#define STRINGSLOC_H

/*-----------------------------------------------------------------------------------------------*/

#include "GameConfig.h"

/*-----------------------------------------------------------------------------------------------*/

//! Abstract class for different languages
//! Requires all derived classes (-> languages) to supply all the
//! strings used in the game
class StrLoc {
public:

  //! Set a language
  static void setLanguage(StrLoc* pLanguage)
  {
    mInstance.reset(pLanguage);
  }

  //! Get the single instance of the language class
  static boost::shared_ptr< StrLoc > get(void)
  {
    return mInstance;
  }

  virtual Ogre::UTFString LanguageCode() = 0;
  virtual Ogre::UTFString GameTitle() = 0;
  virtual Ogre::UTFString MyGUILanguage() = 0;
  virtual Ogre::UTFString MainMenuClose() = 0;
  virtual Ogre::UTFString MainMenuOptions() = 0;
  virtual Ogre::UTFString MainMenuNewGame() = 0;
  virtual Ogre::UTFString MainMenuLoadGame() = 0;
  virtual Ogre::UTFString MainMenuCredits() = 0;
  virtual Ogre::UTFString MainMenuSaveGame() = 0;
  virtual Ogre::UTFString MainMenuResumeGame() = 0;
  virtual Ogre::UTFString MainMenuBack() = 0;
  virtual Ogre::UTFString OptionsMenuDisplayMode() = 0;
  virtual Ogre::UTFString OptionsMenuGraphicsQuality() = 0;
  virtual Ogre::UTFString OptionsMenuNormal() = 0;
  virtual Ogre::UTFString OptionsMenuHigh() = 0;
  virtual Ogre::UTFString OptionsMenuFullscreen() = 0;
  virtual Ogre::UTFString LoadMenuLoad() = 0;
  virtual Ogre::UTFString LoadMenuSaved() = 0;
  virtual Ogre::UTFString LoadMenuMap() = 0;
  virtual Ogre::UTFString LoadMenuQuestion() = 0;
  virtual Ogre::UTFString LoadMenuSelect() = 0;
  virtual Ogre::UTFString NewMenuStart() = 0;
  virtual Ogre::UTFString NewMenuEasy() = 0;
  virtual Ogre::UTFString NewMenuMedium() = 0;
  virtual Ogre::UTFString NewMenuHard() = 0;
  virtual Ogre::UTFString NewMenuMissions() = 0;
  virtual Ogre::UTFString NewMenuDifficulty() = 0;
  virtual Ogre::UTFString NewMenuQuestion() = 0;
  virtual Ogre::UTFString NewMenuSelect() = 0;
  virtual Ogre::UTFString NewMenuMissionGoals() = 0;
  virtual Ogre::UTFString NewMenuMap() = 0;
  virtual Ogre::UTFString SaveMenuSave() = 0;
  virtual Ogre::UTFString SaveMenuName() = 0;
  virtual Ogre::UTFString SaveMenuOverwrite() = 0;
  virtual Ogre::UTFString SaveMenuSaved() = 0;
  virtual Ogre::UTFString Year() = 0;
  virtual Ogre::UTFString January() = 0;
  virtual Ogre::UTFString February() = 0;
  virtual Ogre::UTFString March() = 0;
  virtual Ogre::UTFString April() = 0;
  virtual Ogre::UTFString May() = 0;
  virtual Ogre::UTFString June() = 0;
  virtual Ogre::UTFString July() = 0;
  virtual Ogre::UTFString August() = 0;
  virtual Ogre::UTFString September() = 0;
  virtual Ogre::UTFString October() = 0;
  virtual Ogre::UTFString November() = 0;
  virtual Ogre::UTFString December() = 0;
  virtual Ogre::UTFString TooltipBuildPowerplant() = 0;
  virtual Ogre::UTFString TooltipBuildDistribution() = 0;
  virtual Ogre::UTFString TooltipBuildResource() = 0;
  virtual Ogre::UTFString TooltipBuildMisc() = 0;
  virtual Ogre::UTFString TooltipDemolish() = 0;
  virtual Ogre::UTFString TooltipRepair() = 0;
  virtual Ogre::UTFString TooltipMMCapacity() = 0;
  virtual Ogre::UTFString TooltipMMDefault() = 0;
  virtual Ogre::UTFString TooltipMMSupply() = 0;
  virtual Ogre::UTFString TooltipMMResources() = 0;
  virtual Ogre::UTFString TooltipSp1() = 0;
  virtual Ogre::UTFString TooltipSp2() = 0;
  virtual Ogre::UTFString TooltipSp3() = 0;
  virtual Ogre::UTFString TooltipSp4() = 0;
  virtual Ogre::UTFString TooltipSp5() = 0;
  virtual Ogre::UTFString TooltipSp6() = 0;
  virtual Ogre::UTFString TooltipSpNotAvailable() = 0;
  virtual Ogre::UTFString TooltipSp1Img() = 0;
  virtual Ogre::UTFString TooltipSp2Img() = 0;
  virtual Ogre::UTFString TooltipSp3ImgA() = 0;
  virtual Ogre::UTFString TooltipSp3ImgB() = 0;
  virtual Ogre::UTFString TooltipSp4Img() = 0;
  virtual Ogre::UTFString TooltipSp5Img() = 0;
  virtual Ogre::UTFString TooltipSp6Img() = 0;
  virtual Ogre::UTFString TooltipSpImgInactive() = 0;
  virtual Ogre::UTFString TooltipAd1() = 0;
  virtual Ogre::UTFString TooltipAd2() = 0;
  virtual Ogre::UTFString TooltipAd3() = 0;
  virtual Ogre::UTFString TooltipAd4() = 0;
  virtual Ogre::UTFString TooltipAdNotAvailable() = 0;
  virtual Ogre::UTFString TooltipRe1() = 0;
  virtual Ogre::UTFString TooltipRe2() = 0;
  virtual Ogre::UTFString TooltipRe3() = 0;
  virtual Ogre::UTFString TooltipRe4() = 0;
  virtual Ogre::UTFString TooltipRe5() = 0;
  virtual Ogre::UTFString TooltipRe6() = 0;
  virtual Ogre::UTFString TooltipRe7() = 0;
  virtual Ogre::UTFString TooltipRe8() = 0;
  virtual Ogre::UTFString TooltipRe9() = 0;
  virtual Ogre::UTFString TooltipRe10() = 0;
  virtual Ogre::UTFString TooltipRe11() = 0;
  virtual Ogre::UTFString TooltipRe12() = 0;
  virtual Ogre::UTFString TooltipRe13() = 0;
  virtual Ogre::UTFString TooltipRe14() = 0;
  virtual Ogre::UTFString TooltipRe15() = 0;
  virtual Ogre::UTFString TooltipRe16() = 0;
  virtual Ogre::UTFString TooltipRe17() = 0;
  virtual Ogre::UTFString TooltipRe18() = 0;
  virtual Ogre::UTFString TooltipRe19() = 0;
  virtual Ogre::UTFString TooltipRe20() = 0;
  virtual Ogre::UTFString TooltipRe21() = 0;
  virtual Ogre::UTFString TooltipReNotAvailable() = 0;
  virtual Ogre::UTFString TooltipMenu() = 0;
  virtual Ogre::UTFString TooltipMission() = 0;
  virtual Ogre::UTFString TooltipFinances() = 0;
  virtual Ogre::UTFString TooltipResearch() = 0;
  virtual Ogre::UTFString TooltipCEO() = 0;
  virtual Ogre::UTFString TooltipTrade() = 0;
  virtual Ogre::UTFString TooltipZoomIn() = 0;
  virtual Ogre::UTFString TooltipZoomOut() = 0;
  virtual Ogre::UTFString TooltipRotateLeft() = 0;
  virtual Ogre::UTFString TooltipRotateRight() = 0;
  virtual Ogre::UTFString TooltipSlower() = 0;
  virtual Ogre::UTFString TooltipFaster() = 0;
  virtual Ogre::UTFString TooltipPause() = 0;
  virtual Ogre::UTFString TooltipPowerNets() = 0;
  virtual Ogre::UTFString TooltipMessageArchive() = 0;
  virtual Ogre::UTFString TooltipImage() = 0;
  virtual Ogre::UTFString TooltipReliability() = 0;
  virtual Ogre::UTFString TooltipNormal() = 0;
  virtual Ogre::UTFString TooltipHigh() = 0;
  virtual Ogre::UTFString TooltipLow() = 0;
  virtual Ogre::UTFString TooltipCost() = 0;
  virtual Ogre::UTFString TooltipPower() = 0;
  virtual Ogre::UTFString TooltipOutput() = 0;
  virtual Ogre::UTFString TooltipRods() = 0;
  virtual Ogre::UTFString TooltipKCubicFeet() = 0;
  virtual Ogre::UTFString TooltipKTons() = 0;
  virtual Ogre::UTFString TooltipPerWeek() = 0;
  virtual Ogre::UTFString TooltipCapacity() = 0;
  virtual Ogre::UTFString TooltipCoalSmall() = 0;
  virtual Ogre::UTFString TooltipCoalLarge() = 0;
  virtual Ogre::UTFString TooltipGasSmall() = 0;
  virtual Ogre::UTFString TooltipGasLarge() = 0;
  virtual Ogre::UTFString TooltipNuclearSmall() = 0;
  virtual Ogre::UTFString TooltipNuclearLarge() = 0;
  virtual Ogre::UTFString TooltipNuclearFusion() = 0;
  virtual Ogre::UTFString TooltipSolarSmall() = 0;
  virtual Ogre::UTFString TooltipSolarLarge() = 0;
  virtual Ogre::UTFString TooltipSolarUpdraft() = 0;
  virtual Ogre::UTFString TooltipWindSmall() = 0;
  virtual Ogre::UTFString TooltipWindLarge() = 0;
  virtual Ogre::UTFString TooltipWindOffshore() = 0;
  virtual Ogre::UTFString TooltipBio() = 0;
  virtual Ogre::UTFString TooltipHeadquarters() = 0;
  virtual Ogre::UTFString TooltipResearchBuilding() = 0;
  virtual Ogre::UTFString TooltipPR() = 0;
  virtual Ogre::UTFString TooltipCoalRSmall() = 0;
  virtual Ogre::UTFString TooltipCoalRLarge() = 0;
  virtual Ogre::UTFString TooltipGasRSmall() = 0;
  virtual Ogre::UTFString TooltipGasRLarge() = 0;
  virtual Ogre::UTFString TooltipUraniumRSmall() = 0;
  virtual Ogre::UTFString TooltipUraniumRLarge() = 0;
  virtual Ogre::UTFString TooltipLineSmall() = 0;
  virtual Ogre::UTFString TooltipLineLarge() = 0;
  virtual Ogre::UTFString NoMoney() = 0;
  virtual Ogre::UTFString NoResources() = 0;
  virtual Ogre::UTFString WantToQuit() = 0;
  virtual Ogre::UTFString GoalNone() = 0;
  virtual Ogre::UTFString CitySeeNet() = 0;
  virtual Ogre::UTFString CityNone() = 0;
  virtual Ogre::UTFString PPOutput() = 0;
  virtual Ogre::UTFString PPUsed() = 0;
  virtual Ogre::UTFString PPConnected() = 0;
  virtual Ogre::UTFString Condition() = 0;
  virtual Ogre::UTFString BuiltYear() = 0;
  virtual Ogre::UTFString WeeklyCost() = 0;
  virtual Ogre::UTFString DamagedNeedsRepair() = 0;
  virtual Ogre::UTFString Loading() = 0;
  virtual Ogre::UTFString LoadingTerrain() = 0;
  virtual Ogre::UTFString LoadingTreesResources() = 0;
  virtual Ogre::UTFString LoadingCompanyData() = 0;
  virtual Ogre::UTFString LoadingPopulace() = 0;
  virtual Ogre::UTFString COCoal() = 0;
  virtual Ogre::UTFString COGas() = 0;
  virtual Ogre::UTFString COUranium() = 0;
  virtual Ogre::UTFString COKCubicShort() = 0;
  virtual Ogre::UTFString COKTonShort() = 0;
  virtual Ogre::UTFString CORodShort() = 0;
  virtual Ogre::UTFString CONet() = 0;
  virtual Ogre::UTFString COCities() = 0;
  virtual Ogre::UTFString COPowerplants() = 0;
  virtual Ogre::UTFString COSelectCity() = 0;
  virtual Ogre::UTFString COSelectPP() = 0;
  virtual Ogre::UTFString CONetEfficiency() = 0;
  virtual Ogre::UTFString CONetAvailable() = 0;
  virtual Ogre::UTFString CONetNeeded() = 0;
  virtual Ogre::UTFString Residents() = 0;
  virtual Ogre::UTFString PowerNeeded() = 0;
  virtual Ogre::UTFString PowerSuppliedByYou() = 0;
  virtual Ogre::UTFString Customers() = 0;
  virtual Ogre::UTFString SuppliedBy() = 0;
  virtual Ogre::UTFString Price() = 0;
  virtual Ogre::UTFString UseGlobalSettings() = 0;
  virtual Ogre::UTFString AdsBudget() = 0;
  virtual Ogre::UTFString Week() = 0;
  virtual Ogre::UTFString PPMaintenance() = 0;
  virtual Ogre::UTFString Nothing() = 0;
  virtual Ogre::UTFString CurrentlyResearching() = 0;
  virtual Ogre::UTFString ResearchCaption() = 0;
  virtual Ogre::UTFString ResearchDone() = 0;
  virtual Ogre::UTFString ResearchOne() = 0;
  virtual Ogre::UTFString ResearchNoAccess() = 0;
  virtual Ogre::UTFString ResearchNoAccessTree() = 0;
  virtual Ogre::UTFString StartResearchA() = 0;
  virtual Ogre::UTFString StartResearchB() = 0;
  virtual Ogre::UTFString Re1() = 0;
  virtual Ogre::UTFString Re2() = 0;
  virtual Ogre::UTFString Re3() = 0;
  virtual Ogre::UTFString Re4() = 0;
  virtual Ogre::UTFString Re5() = 0;
  virtual Ogre::UTFString Re6() = 0;
  virtual Ogre::UTFString Re7() = 0;
  virtual Ogre::UTFString Re8() = 0;
  virtual Ogre::UTFString Re9() = 0;
  virtual Ogre::UTFString Re10() = 0;
  virtual Ogre::UTFString Re11() = 0;
  virtual Ogre::UTFString Re12() = 0;
  virtual Ogre::UTFString Re13() = 0;
  virtual Ogre::UTFString Re14() = 0;
  virtual Ogre::UTFString Re15() = 0;
  virtual Ogre::UTFString Re16() = 0;
  virtual Ogre::UTFString Re17() = 0;
  virtual Ogre::UTFString Re18() = 0;
  virtual Ogre::UTFString Re19() = 0;
  virtual Ogre::UTFString Re20() = 0;
  virtual Ogre::UTFString Re21() = 0;
  virtual Ogre::UTFString CEOCaption() = 0;
  virtual Ogre::UTFString CEOOffice() = 0;
  virtual Ogre::UTFString CustomersOpinionsFrom() = 0;
  virtual Ogre::UTFString NoOpinions() = 0;
  virtual Ogre::UTFString AllCities() = 0;
  virtual Ogre::UTFString CEOCustomers() = 0;
  virtual Ogre::UTFString Ad1Question() = 0;
  virtual Ogre::UTFString Ad2Question() = 0;
  virtual Ogre::UTFString Ad3Question() = 0;
  virtual Ogre::UTFString Ad4Question() = 0;
  virtual Ogre::UTFString AdNoAccess() = 0;
  virtual Ogre::UTFString Sp1Question() = 0;
  virtual Ogre::UTFString Sp2Question() = 0;
  virtual Ogre::UTFString Sp3Question() = 0;
  virtual Ogre::UTFString Sp4Question() = 0;
  virtual Ogre::UTFString Sp5Question() = 0;
  virtual Ogre::UTFString Sp6Question() = 0;
  virtual Ogre::UTFString SpStarted() = 0;
  virtual Ogre::UTFString SpNoAccess() = 0;
  virtual Ogre::UTFString MissionCaption() = 0;
  virtual Ogre::UTFString TickerCaption() = 0;
  virtual Ogre::UTFString TickerEmpty() = 0;
  virtual Ogre::UTFString BuildingNoAccess() = 0;
  virtual Ogre::UTFString NoPowerNet() = 0;
  virtual Ogre::UTFString InterestRate() = 0;
  virtual Ogre::UTFString MonthlyCharge() = 0;
  virtual Ogre::UTFString NewMonthlyCharge() = 0;
  virtual Ogre::UTFString RepairA() = 0;
  virtual Ogre::UTFString RepairB() = 0;
  virtual Ogre::UTFString UniqueHeadquarters() = 0;
  virtual Ogre::UTFString UniqueResearch() = 0;
  virtual Ogre::UTFString UniquePR() = 0;
  virtual Ogre::UTFString Sp1Started() = 0;
  virtual Ogre::UTFString Sp2Started() = 0;
  virtual Ogre::UTFString Sp3Started() = 0;
  virtual Ogre::UTFString Sp4Started() = 0;
  virtual Ogre::UTFString Sp5Started() = 0;
  virtual Ogre::UTFString Sp6Started() = 0;
  virtual Ogre::UTFString Sp1Detail() = 0;
  virtual Ogre::UTFString Sp2Detail() = 0;
  virtual Ogre::UTFString Sp3Detail() = 0;
  virtual Ogre::UTFString Sp4Detail() = 0;
  virtual Ogre::UTFString Sp5Detail() = 0;
  virtual Ogre::UTFString Sp6Detail() = 0;
  virtual Ogre::UTFString Ad1Started() = 0;
  virtual Ogre::UTFString Ad2Started() = 0;
  virtual Ogre::UTFString Ad3Started() = 0;
  virtual Ogre::UTFString Ad4Started() = 0;
  virtual Ogre::UTFString Ad1Detail() = 0;
  virtual Ogre::UTFString Ad2Detail() = 0;
  virtual Ogre::UTFString Ad3Detail() = 0;
  virtual Ogre::UTFString Ad4Detail() = 0;
  virtual Ogre::UTFString OfferNA() = 0;
  virtual Ogre::UTFString ObligationNA() = 0;
  virtual Ogre::UTFString SelectOffer() = 0;
  virtual Ogre::UTFString SelectObligation() = 0;
  virtual Ogre::UTFString SelectPartner() = 0;
  virtual Ogre::UTFString CancelObligation() = 0;
  virtual Ogre::UTFString SignTradeA() = 0;
  virtual Ogre::UTFString SignTradeB() = 0;
  virtual Ogre::UTFString SignTradeC() = 0;
  virtual Ogre::UTFString Coal() = 0;
  virtual Ogre::UTFString Gas() = 0;
  virtual Ogre::UTFString Uranium() = 0;
  virtual Ogre::UTFString CoalS() = 0;
  virtual Ogre::UTFString GasS() = 0;
  virtual Ogre::UTFString UraniumS() = 0;
  virtual Ogre::UTFString Sell() = 0;
  virtual Ogre::UTFString Buy() = 0;
  virtual Ogre::UTFString SelectLoan() = 0;
  virtual Ogre::UTFString ChooseSum() = 0;
  virtual Ogre::UTFString RepayA() = 0;
  virtual Ogre::UTFString RepayB() = 0;
  virtual Ogre::UTFString TakeoutA() = 0;
  virtual Ogre::UTFString TakeoutB() = 0;
  virtual Ogre::UTFString TakeoutC() = 0;
  virtual Ogre::UTFString FinancesCaption() = 0;
  virtual Ogre::UTFString PriceText() = 0;
  virtual Ogre::UTFString AdsText() = 0;
  virtual Ogre::UTFString PriceUnit() = 0;
  virtual Ogre::UTFString AdsUnit() = 0;
  virtual Ogre::UTFString MaintenanceText() = 0;
  virtual Ogre::UTFString EnvText() = 0;
  virtual Ogre::UTFString EnvUnit() = 0;
  virtual Ogre::UTFString ContractText() = 0;
  virtual Ogre::UTFString SupportText() = 0;
  virtual Ogre::UTFString SupplyText() = 0;
  virtual Ogre::UTFString SafetyText() = 0;
  virtual Ogre::UTFString TermNone() = 0;
  virtual Ogre::UTFString Term12() = 0;
  virtual Ogre::UTFString Term24() = 0;
  virtual Ogre::UTFString SupportPoor() = 0;
  virtual Ogre::UTFString SupportNormal() = 0;
  virtual Ogre::UTFString SupportExtensive() = 0;
  virtual Ogre::UTFString EmployeeText() = 0;
  virtual Ogre::UTFString SafetyNone() = 0;
  virtual Ogre::UTFString SafetyNormal() = 0;
  virtual Ogre::UTFString SafetyHeavy() = 0;
  virtual Ogre::UTFString EmployeeNone() = 0;
  virtual Ogre::UTFString EmployeeBasic() = 0;
  virtual Ogre::UTFString EmployeeExtensive() = 0;
  virtual Ogre::UTFString SalesCaption() = 0;
  virtual Ogre::UTFString IncomeCaption() = 0;
  virtual Ogre::UTFString CurrentMonthText() = 0;
  virtual Ogre::UTFString LastMonthText() = 0;
  virtual Ogre::UTFString CurrentYearText() = 0;
  virtual Ogre::UTFString LastYearText() = 0;
  virtual Ogre::UTFString TotalText() = 0;
  virtual Ogre::UTFString FLoan() = 0;
  virtual Ogre::UTFString FSafety() = 0;
  virtual Ogre::UTFString FAdvertising() = 0;
  virtual Ogre::UTFString FMaintenance() = 0;
  virtual Ogre::UTFString FOperation() = 0;
  virtual Ogre::UTFString FEnvironment() = 0;
  virtual Ogre::UTFString FResearch() = 0;
  virtual Ogre::UTFString FBuilding() = 0;
  virtual Ogre::UTFString FIncome() = 0;
  virtual Ogre::UTFString FSpecial() = 0;
  virtual Ogre::UTFString FTrade() = 0;
  virtual Ogre::UTFString ChartTab() = 0;
  virtual Ogre::UTFString ExpensesCheck() = 0;
  virtual Ogre::UTFString IncomeCheck() = 0;
  virtual Ogre::UTFString FundsCheck() = 0;
  virtual Ogre::UTFString NetWorthCheck() = 0;
  virtual Ogre::UTFString LoanTab() = 0;
  virtual Ogre::UTFString TakeOutButton() = 0;
  virtual Ogre::UTFString RepaymentButton() = 0;
  virtual Ogre::UTFString NoLoansText() = 0;
  virtual Ogre::UTFString CurrentLoansText() = 0;
  virtual Ogre::UTFString AmountText() = 0;
  virtual Ogre::UTFString PeriodUnit() = 0;
  virtual Ogre::UTFString PeriodText() = 0;
  virtual Ogre::UTFString TradeCaption() = 0;
  virtual Ogre::UTFString TradingPartnersText() = 0;
  virtual Ogre::UTFString NoTradingPartners() = 0;
  virtual Ogre::UTFString WorldMarketText() = 0;
  virtual Ogre::UTFString SignButton() = 0;
  virtual Ogre::UTFString NoTradeOffers() = 0;
  virtual Ogre::UTFString OffersText() = 0;
  virtual Ogre::UTFString AcceptOfferButton() = 0;
  virtual Ogre::UTFString NoObligations() = 0;
  virtual Ogre::UTFString CancelOfferButton() = 0;
  virtual Ogre::UTFString CurrentObligationsText() = 0;
  virtual Ogre::UTFString LoanFormattedA() = 0;
  virtual Ogre::UTFString LoanFormattedB() = 0;
  virtual Ogre::UTFString LoanFormattedC() = 0;
  virtual Ogre::UTFString LoanFormattedD() = 0;
  virtual Ogre::UTFString FreeTradesLeft() = 0;
  virtual Ogre::UTFString FreeTradesGone() = 0;
  virtual Ogre::UTFString DamagedResourceMessageA() = 0;
  virtual Ogre::UTFString DamagedResourceMessageB() = 0;
  virtual Ogre::UTFString DamagedPPMessageA() = 0;
  virtual Ogre::UTFString DamagedPPMessageB() = 0;
  virtual Ogre::UTFString DamagedDetail() = 0;
  virtual Ogre::UTFString ResearchFinishedA() = 0;
  virtual Ogre::UTFString ResearchFinishedB() = 0;
  virtual Ogre::UTFString ResearchStartedA() = 0;
  virtual Ogre::UTFString ResearchStartedB() = 0;
  virtual Ogre::UTFString BuyF() = 0;
  virtual Ogre::UTFString SellF() = 0;
  virtual Ogre::UTFString From() = 0;
  virtual Ogre::UTFString To() = 0;
  virtual Ogre::UTFString For() = 0;
  virtual Ogre::UTFString EveryWeek() = 0;
  virtual Ogre::UTFString PriceT() = 0;
  virtual Ogre::UTFString WorldMarket() = 0;
  virtual Ogre::UTFString Weeks() = 0;
  virtual Ogre::UTFString EveryWeekS() = 0;
  virtual Ogre::UTFString WeeksRemaining() = 0;
  virtual Ogre::UTFString ContractCanceledResources() = 0;
  virtual Ogre::UTFString ContractCanceledMoney() = 0;
  virtual Ogre::UTFString ContractCanceledResourcesDetail() = 0;
  virtual Ogre::UTFString ContractCanceledMoneyDetail() = 0;
  virtual Ogre::UTFString GasStockDepleted() = 0;
  virtual Ogre::UTFString CoalStockDepleted() = 0;
  virtual Ogre::UTFString UraniumStockDepleted() = 0;
  virtual Ogre::UTFString HeadquartersBuilt() = 0;
  virtual Ogre::UTFString HeadquartersBuiltDetail() = 0;
  virtual Ogre::UTFString ResearchBuilt() = 0;
  virtual Ogre::UTFString ResearchBuiltDetail() = 0;
  virtual Ogre::UTFString PRBuilt() = 0;
  virtual Ogre::UTFString PRBuiltDetail() = 0;
  virtual Ogre::UTFString NewYear() = 0;
  virtual Ogre::UTFString NoBuild() = 0;
  virtual Ogre::UTFString NoBuildGas() = 0;
  virtual Ogre::UTFString NoBuildUranium() = 0;
  virtual Ogre::UTFString NoBuildCoal() = 0;
  virtual Ogre::UTFString NoBuildOffshore() = 0;
  virtual Ogre::UTFString ScreenSaved() = 0;
  virtual Ogre::UTFString GameSaved() = 0;
  virtual Ogre::UTFString PowerplantText() = 0;
  virtual Ogre::UTFString FullCapacity() = 0;
  virtual Ogre::UTFString NewspaperImage() = 0;
  virtual Ogre::UTFString NPFounded() = 0;
  virtual Ogre::UTFString NPFoundedDetail() = 0;
  virtual Ogre::UTFString NPFusion() = 0;
  virtual Ogre::UTFString NPFusionDetail() = 0;
  virtual Ogre::UTFString NPBribe() = 0;
  virtual Ogre::UTFString NPBribeDetail() = 0;
  virtual Ogre::UTFString NPPriceRigging() = 0;
  virtual Ogre::UTFString NPPriceRiggingDetail() = 0;
  virtual Ogre::UTFString NPWasteDumping() = 0;
  virtual Ogre::UTFString NPWasteDumpingDetail() = 0;
  virtual Ogre::UTFString NPNoTraining() = 0;
  virtual Ogre::UTFString NPNoTrainingDetail() = 0;
  virtual Ogre::UTFString NPWar() = 0;
  virtual Ogre::UTFString NPWarDetail() = 0;
  virtual Ogre::UTFString MissionDoneCaption() = 0;
  virtual Ogre::UTFString MissionDoneText() = 0;
  virtual Ogre::UTFString KeepPlaying() = 0;
  virtual Ogre::UTFString ToMenu() = 0;
  virtual Ogre::UTFString BankruptcyImminentCaption() = 0;
  virtual Ogre::UTFString BankruptcyImminentText() = 0;
  virtual Ogre::UTFString BankruptcyCaption() = 0;
  virtual Ogre::UTFString BankruptcyText() = 0;
  virtual Ogre::UTFString Small() = 0;
  virtual Ogre::UTFString Large() = 0;
  virtual Ogre::UTFString ConnectThisCity() = 0;
  virtual Ogre::UTFString CreditsText() = 0;
  virtual Ogre::UTFString NoSavegameSelected() = 0;
  virtual Ogre::UTFString PowerNetCaption() = 0;
  virtual Ogre::UTFString PoleCollapsed() = 0;
  virtual Ogre::UTFString Building() = 0;
  virtual Ogre::UTFString TooManyLoans() = 0;
  virtual Ogre::UTFString NotEnoughNetWorth() = 0;
  virtual Ogre::UTFString NetWorthNeeded() = 0;
  virtual Ogre::UTFString NetWorthHave() = 0;
  virtual Ogre::UTFString ForecastForThisMonth() = 0;
  virtual Ogre::UTFString StrongWind() = 0;
  virtual Ogre::UTFString NormalWind() = 0;
  virtual Ogre::UTFString LittleWind() = 0;
  virtual Ogre::UTFString PlentySunshine() = 0;
  virtual Ogre::UTFString NormalSunshine() = 0;
  virtual Ogre::UTFString HardlySunshine() = 0;
  virtual Ogre::UTFString Tutorial() = 0;
  virtual Ogre::UTFString Step() = 0;
  virtual Ogre::UTFString TutorialBack() = 0;
  virtual Ogre::UTFString TutorialContinue() = 0;
  virtual Ogre::UTFString TutorialExit() = 0;
  virtual Ogre::UTFString TutorialReallyClose() = 0;
  virtual Ogre::UTFString OpinionIsOK() = 0;
  virtual Ogre::UTFString OpinionDontLike1() = 0;
  virtual Ogre::UTFString OpinionDontLike2() = 0;
  virtual Ogre::UTFString OpinionIsGreat() = 0;
  virtual Ogre::UTFString OpinionSawAd1() = 0;
  virtual Ogre::UTFString OpinionSawAd2() = 0;
  virtual Ogre::UTFString OpinionPriceHigh1() = 0;
  virtual Ogre::UTFString OpinionPriceHigh2() = 0;
  virtual Ogre::UTFString OpinionPriceOK1() = 0;
  virtual Ogre::UTFString OpinionPriceOK2() = 0;
  virtual Ogre::UTFString DefaultCompanyName() = 0;
  virtual Ogre::UTFString QuestionCompanyName() = 0;
  virtual Ogre::UTFString PleaseChooseCompanyName() = 0;
  virtual Ogre::UTFString NextTutorial() = 0;
  virtual Ogre::UTFString EndTutorial() = 0;
  virtual Ogre::UTFString NextTutorialQuestion() = 0;
  virtual Ogre::UTFString Repairs1() = 0;
  virtual Ogre::UTFString Repairs2() = 0;
  virtual Ogre::UTFString IsBeingRepaired() = 0;
  virtual Ogre::UTFString RepairsComplete1() = 0;
  virtual Ogre::UTFString RepairsComplete2() = 0;
  virtual Ogre::UTFString Germany() = 0;
  virtual Ogre::UTFString USA() = 0;
  virtual Ogre::UTFString GameAutoSaved() = 0;
  virtual Ogre::UTFString Accident() = 0;
  virtual Ogre::UTFString AccidentDetail1() = 0;
  virtual Ogre::UTFString AccidentDetail2() = 0;
  virtual Ogre::UTFString PPShutdown1() = 0;
  virtual Ogre::UTFString PPShutdown2() = 0;
  virtual Ogre::UTFString CoalStockDepletedDetail() = 0;
  virtual Ogre::UTFString UraniumStockDepletedDetail() = 0;
  virtual Ogre::UTFString GasStockDepletedDetail() = 0;
  virtual Ogre::UTFString FreeTradesDetail() = 0;
  virtual Ogre::UTFString PPAccidentDetail() = 0;
  virtual Ogre::UTFString PoleCollapsedDetail() = 0;
  virtual Ogre::UTFString FullCapacityDetail() = 0;
  virtual Ogre::UTFString DemoTime() = 0;
  virtual Ogre::UTFString DemoNoSave() = 0;
  virtual Ogre::UTFString DemoTimeUpCaption() = 0;
  virtual Ogre::UTFString DemoTimeUpText() = 0;
  virtual std::vector< std::vector< Ogre::UTFString > > TutorialStep() = 0;

private:

  static boost::shared_ptr< StrLoc > mInstance; //!< Single instance
};

/*-----------------------------------------------------------------------------------------------*/

#include "LangDE.h"
#include "LangEN.h"

/*-----------------------------------------------------------------------------------------------*/

#endif // STRINGSLOC_H